#!/bin/sh
####
# EncFS-ROX integration - Close access to an encrypted directory
# Author: James Budiono - Copyright James Budiono 2010
# License: GNU GPL v3 or newer
# Note: This script is needed because umount in puppy is broken (can't handle spaces)
# v0.4 - fix symlink check and refresh rox
####
if [ -z "$1" ]; then
	Xdialog --msgbox "Run this tool from within ROX-Filer." 0 0
	exit
fi

# can't process symlink
if [ "$(file "$1" | grep "symbolic link")" ]; then
	Xdialog --title "Error" --msgbox "Symbolic link is not supported." 0 0
	exit
fi

ORIG_DIR="$1"
PREFIX="${ORIG_DIR%/*}/"
DIR="${ORIG_DIR##*/}"

if fusermount -u "$@"; then
	rox -x "${PREFIX}"
	Xdialog --msgbox "Access to $1 is now closed." 0 0
else 
	Xdialog --title "Error" --msgbox "Unable to close access to $1 ?" 0 0
fi
